gdcm::XMLPrivateDictReader Class Reference

Class for representing a XMLPrivateDictReader. More...

`#include <gdcmXMLPrivateDictReader.h>`

Inheritance diagram for gdcm::XMLPrivateDictReader:
[legend]
Collaboration diagram for gdcm::XMLPrivateDictReader:
[legend]

## Public Member Functions

| XMLPrivateDictReader ()
| ~XMLPrivateDictReader ()
void | CharacterDataHandler (const char *data, int length)
void | EndElement (const char *name)
const PrivateDict & | GetPrivateDict ()
void | StartElement (const char *name, const char **atts)
Public Member Functions inherited from gdcm::TableReader
| TableReader (Defs &defs)
virtual | ~TableReader ()=default
const Defs & | GetDefs () const
const char * | GetFilename ()
void | HandleIOD (const char **atts)
void | HandleIODEntry (const char **atts)
void | HandleMacro (const char **atts)
void | HandleMacroEntry (const char **atts)
void | HandleMacroEntryDescription (const char **atts)
void | HandleModule (const char **atts)
void | HandleModuleEntry (const char **atts)
void | HandleModuleEntryDescription (const char **atts)
void | HandleModuleInclude (const char **atts)
int | Read ()
void | SetFilename (const char *filename)

## Protected Member Functions

void | HandleDescription (const char **atts)
void | HandleEntry (const char **atts)

## Detailed Description

Class for representing a XMLPrivateDictReader.

Note
  bla Will read the Private.xml file

## Constructor & Destructor Documentation

## XMLPrivateDictReader()

gdcm::XMLPrivateDictReader::XMLPrivateDictReader | ( |  | ) |

## ~XMLPrivateDictReader()

gdcm::XMLPrivateDictReader::~XMLPrivateDictReader | ( |  | ) |

inline

## Member Function Documentation

## CharacterDataHandler()

void gdcm::XMLPrivateDictReader::CharacterDataHandler | ( | const char * | data,
|  | int | length )

virtual

Reimplemented from gdcm::TableReader.

## EndElement()

void gdcm::XMLPrivateDictReader::EndElement | ( | const char * | name | ) |

virtual

Reimplemented from gdcm::TableReader.

## GetPrivateDict()

const PrivateDict & gdcm::XMLPrivateDictReader::GetPrivateDict | ( |  | ) |

inline

## HandleDescription()

void gdcm::XMLPrivateDictReader::HandleDescription | ( | const char ** | atts | ) |

protected

## HandleEntry()

void gdcm::XMLPrivateDictReader::HandleEntry | ( | const char ** | atts | ) |

protected

## StartElement()

void gdcm::XMLPrivateDictReader::StartElement | ( | const char * | name,
|  | const char ** | atts )

virtual

Reimplemented from gdcm::TableReader.

The documentation for this class was generated from the following file:

- gdcmXMLPrivateDictReader.h